Get activation list

Prev Next

Available in Classic and VPC

View the list of results from running an action for a month.

Request

The following describes the request format for the endpoint. The request format is as follows:

Method URI
GET /api/v2/activations

Request headers

For information about the headers common to all Cloud Functions APIs, see Cloud Functions request headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
platform String Optional Platform type
  • vpc | classic (default)
pageSize Integer Optional Page size of the query result
  • 20 (default)
pageNo Integer Optional Query result page number
  • 1 (default)
start String Optional Query start time
  • yyyy-MM-ddTHH:mm:ss format
  • Korea and Singapore Regions use their respective time zones
  • 1 month prior to request time (default)
end String Optional Query end time
  • yyyy-MM-ddTHH:mm:ss format
  • Korea and Singapore Regions use their respective time zones
  • Time of request (default)

Request example

The following is a sample request.

curl --location --request GET 'https://cloudfunctions.apigw.ntruss.com/api/v2/activations' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Sub Account Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json' 

Response

The following describes the response format.

Response body

The following describes the response body.

Field Type Required Description
content.activations Array - Execution result information: activations
content.totalCount Integer - Number of execution results

activations

The following describes activations.

Field Type Required Description
activationId String - Action execution result ID
duration Integer - Time taken to execute the action (milliseconds)
status String - Action status

Response status codes

For response status codes common to NAVER Cloud Platform, see Ncloud API response status codes.

Response example

The following is a sample response.

{
    "content": {
        "activations": [
            {
                "activationId": "18718fde21424114b18fde21428114c8",
                "duration": 34,
                "status": "success"
            }
        ],
        "totalCount": 1
    }
}